Update project
PUT /v1/projects/{id}
Update an existing project. Only provided fields will be updated.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Project identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Request Body required
Section titled “Request Body required ”object
Updated project name
Updated rate limit in requests per minute
Examples
Update name only
{ "name": "Renamed Project"}Update rate limit
{ "rate_limit_default": 2000}Responses
Section titled “ Responses ”Project updated successfully
object
object
Unique project identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Tenant that owns this project
Example
tenant_abc123Project name
Example
Production WebhooksProject status
Example
activeDefault rate limit for this project (requests per minute)
Example
1000Example
2025-12-01T10:00:00Zobject
Unique identifier for this request (useful for support)
Example
req_xyz123Invalid request
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.